<?php

namespace App\Entities;

use App\Entities\CommonEntity;

class UserEntity extends CommonEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['name'];
    }
    public function getEmail()
    {
        return $this->attributes['email'];
    }
    public function getRole()
    {
        return $this->attributes['role'];
    }
    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
    public function getEncryptedPassword(string $password)
    {
        return password_hash($password, PASSWORD_DEFAULT);
    }
}
